#ifndef _IMQ_H
#define _IMQ_H

/* Yes maximum is 16. imq_flags just using 8 bit _unused entry of the skb structure
 */
#define IMQ_MAX_DEVS	16

/* dev_queue_xmit() in to physical device "can" stolen the skb. If this happen,
 * we must have backdoor to wake up the imq device queue
 */
#define IMQ_TX_TIMEOUT  (2*HZ)

#define IMQ_F_IFMASK	0x0f

/* This flag is set by netfilter module and mean IMQit
 */
#define IMQ_F_ENQUEUE	0x80

/* Support flag for egress
 */ 
#define IMQ_F_ENQUEUED	0x40

/* Support flag for ingress
 */ 
#define IMQ_F_ENQUEUEI	0x20

#endif /* _IMQ_H */
