/*
** $Id: plug_hostapd.h 1.1 2004/02/28 22:26:33 whsu Exp $
*/

/******************************************************************************
Copyright (c) 2000-2002 Integrated Programmable Communications, Inc.

All rights reserved. Copying, compilation, modification, distribution
or any other use whatsoever of this material is strictly prohibited
except in accordance with a Software License Agreement with
Integrated Programmable Communications, Inc.
******************************************************************************/

#ifndef _IPN2120_PLUG_IN_INTERFACE_WITH_HOSTAPD_
#define _IPN2120_PLUG_IN_INTERFACE_WITH_HOSTAPD_

/************************************************************************
*                         DEBUGGING DEFINITIONS
*************************************************************************
*/
#ifdef DBGPRINT
#undef DBGPRINT
#endif

#define DBGPRINT(level,fmt,args...) do { \
        if (level < DBG_VAR) { \
            printk( "%s: ", __FUNCTION__ );  \
            printk( fmt, ##args); \
        } \
    } while (0)

#define DBG_ENTER          DBGPRINT( DBG_DEBUG, "Enter\n" );
#define DBG_EXIT           DBGPRINT( DBG_DEBUG, "Exit\n" );

#define DBG_CRIT           0       /* severity levels of debugging message */
#define DBG_ERR            1
#define DBG_WARN           2
#define DBG_NOTICE         3
#define DBG_INFO           4
#define DBG_DEBUG          5

/************************************************************************
*            INTERNAL PLUGIN-HOSTAPD PROTOCOL DEFINITIONS
*************************************************************************
*/

#endif
