// JavaScript Document
<% OpenFile("comm.sr","1"); %>
<% OpenFile("wan.sr","1"); %>
<% OpenFile("html.hr","2"); %>
function chkApn(ds,tit)
{
	var idd=document.getElementById(ds);
	if (idd == null) return 0;
	if (validStr(idd.value,tit)==0) {
		idd.focus();
		return 1;
	}
	return 0;
}
function chk3GUser(ds,tit)
{
	var idd=document.getElementById(ds);
	if (validStr(idd.value,tit)==0) {
		idd.focus();
		return 1;
	}
	var s="<% GetHtmParm("html","USER"); %>",n;
	if (s == "")   n = 0;
	else n=parseInt(s);
	if (idd.value.length > n) {
		alert (tit+": <% GetStr("wan","ERRSIZE"); %>");
		idd.focus();
		return 1;
	}
	return 0;
}
function chk3GPswd(ds,tit)
{
	var idd=document.getElementById(ds);
	if (validStr(idd.value,tit)==0) {
		idd.focus();
		return 1;
	}
	var s="<% GetHtmParm("html","PSWD"); %>",n;
	if (s == "")   n = 0;
	else n=parseInt(s);
	if (idd.value.length > n) {
		alert (tit+": <% GetStr("wan","ERRSIZE"); %>");
		idd.focus();
		return 1;
	}
	return 0;
}
function chk3GPin(ds,tit)
{
	var idd=document.getElementById(ds);
	if (idd == null) return 0;
	var s="<% GetHtmParm("html","PIN"); %>",n;
	if (s == "")   n = 0;
	else n=parseInt(s);
	if (idd.value.length > 0 && idd.value.length != n) {
		alert(tit+": <% GetStr("wan","ERRSIZE"); %>");
		return 1;
	}
	var ch = /^[0-9*#]+$/;
	if (idd.value != "" && !ch.test(idd.value)) {
		alert(tit+": <% GetStr("comm", "ERRFORMAT"); %>");
		return 1;
	}
	return 0;
}
function chkDNS(idp,ids,ida,hid,strp,strs)
{
	var idd=null;
	if (hid != "") idd=document.getElementById(hid);
	if (ida.checked == false) {
		var idstr=Array(idp,ids);
		var str=Array(strp,strs);
		for (var i = 0; i < 2; i++) {
			if(i == 0 && idstr[i].value == "") {
				alert("<% GetStr("comm","ERREMPTYFLD"); %>");
				idstr[i].focus();
				return false;
			}
			if (idstr[i].value != "")   idstr[i].value=precutIP(idstr[i].value);
			if (idstr[i].value !="" && !isValidHostIP(idstr[i].value,str[i])) {
				idstr[i].focus();
				return false;
			}
		}
		if (idstr[1].value != "" && idstr[0].value==idstr[1].value) {
			alert('<% GetStr("wan","ERRDNSSAME"); %>');
			idstr[1].focus();
			return false;
		}
		if (idd != null) idd.value=0;
	} else if (idd != null) idd.value=1;
	return true;
}
function chkVPIVCI(idp,idc)
{
	var ids= new Array(idp,idc);
	var idtit=["VPI","VCI"],n,i;
	var rg=[[0,255],[1,65535]];
	var errmsg=["<% GetStr("wan","ERRVPI"); %>","<% GetStr("wan","ERRVCI"); %>"];
	for(i = 0; i < ids.length; i++) {
		if(isEmpty(ids[i].value,idtit[i])) {
			ids[i].focus();
			return false;
		}
		if (!verifyNumeric(ids[i].value)) {
			alert(idtit+": <% GetStr("comm", "ERRNUM"); %>");
			ids[i].focus();
			return false;
		}
		n=parseInt(ids[i].value);
		if (n < rg[i][0] || n > rg[i][1]) {
			alert(idtit[i]+": "+errmsg[i]);
			ids[i].focus();
			return false;
		}
	}
	return true;
}
function chkAdslIP(m,idip,tit)
{
	idip.value=precutIP(idip.value);
	if (idip.value == "0.0.0.0")   return true;
	if (!isValidHostIP(idip.value,tit)) {
		idip.focus();
		return false;
	}
	if (m==1 && verifySubnet(idip.value,"<% GetParm("LAN","IP"); %>","<% GetParm("LAN","MASK"); %>")) {
		alert(tit+": <% GetStr("wan","ERRDIFFSUBNET"); %>");
		idip.focus();
		return false;
	}
	return true;
}
function chkAdslMask(idm,tit)
{
	idm.value=precutIP(idm.value);
	if(isValidMask(idm.value,1,tit) == false) {
		idm.focus();
		return false;
	}
	return true;
}
function chkGW(ips,masks,idg,tit)
{
	if (ips == "" || ips == "0.0.0.0")   return true;
	idg.value=precutIP(idg.value);
	if (idg.value == "" || idg.value == "0.0.0.0") return true;
	if (verifySubnet(idg.value, ips, masks) == false) {
		alert(tit+": <% GetStr("wan","ERRSAMESUBNET"); %>");
		idg.focus();
		return false;
	}
	return true;
}
function chkAdslUserPswd(idu,idp,stru,strp)
{
	if (validStr(idu.value,stru)==0) {
		idu.focus();
		return false;
	}
	if (validStr(idp.value,strp)==0) {
		idp.focus();
		return false;
	}
	return true;
}
function chkAdslServ(idd,str)
{
	if (validStr(idd.value,str)==0) {
		idd.focus();
		return false;
	}
	return true;
}
<% CloseFile("comm.sr","1"); %>
<% CloseFile("wan.sr","1"); %>
<% CloseFile("html.hr","2"); %>
