// This is not ASP file but JavaScript file
<% OpenFile("comm.sr","1"); %>
var nowURL;
var nowID;
function cutblank(s)
{
	var c,i,n,b;
	var str;
	n=s.length;
	for(i=0; i<n; i++) {
		c=s.charAt(i);
		if(c!=' ' && c!='\t')   break;
	}
	if (i >= n) {
		s="";
		return s;
	}
	b=i;
	for(i=n-1; i>=0; i--) {
		c=s.charAt(i);
		if(c!=' ' && c!='\t')   break;
	}
	str=s.substr(b,i-b+1);
	return str;
}
function validStr(s,tit)
{
	if (s.indexOf("\"") == -1 && s.indexOf("\'") == -1) return 1;
	alert(tit+": <% GetStr("comm","ERRSTR"); %>");
	return 0;
}
function verifyAlphaNumeric(str) {
	var ch = /^[a-zA-Z0-9]+$/;
	if ((str == null) || (str.length == 0))
		return false;
	return ch.test(str);
}
function verifyNumeric(str)
{
	var ch = /^[0-9]+$/;
	if ((str == null) || (str.length == 0))
		return false;
	return ch.test(str);
}
function isEmpty(s,msg)
{
	if (s=="") {
		alert(msg+": <% GetStr("comm", "ERRNUM"); %>");
		return 1;
	}
	return 0;
}
function cutleadingzeros(s)
{
	var n, i;
	var str;
	n = s.length;
	if (n < 2)   return s;
	for (i = 0; i < n; i++) {
		c = s.charAt(i);
		if (c != '0')   break;
	}
	if (i >= n) str="0";
	else str=s.substr(i);
	return str;
}
function precutIP(s)
{
	s=cutblank(s);
	if(s=="") return s;
	var ipa = s.split(".");
	for (i =0;i<ipa.length;i++){
	 ipa[i]=cutblank(ipa[i]);
	 ipa[i] = cutleadingzeros (ipa[i]);
	}
	s=ipa.join(".");
	return s;
}
function FormatIp2Num(ips)
{
	var iparr=ips.split(".");
	return IpToNum(iparr);
}
function IsIPStyle(ips,str)
{
	var ipa = ips.split(".");
	if (ipa.length != 4) {
		alert (str+": <% GetStr("comm","ERRIPSTYLE"); %>");
		return false;
	}
	for (i=0; i<ipa.length; i++) {
		if (isNaN(ipa[i])||(ipa[i]=="")||(ipa[i]<0)||(ipa[i]>255)||(!(verifyNumeric(ipa[i])))){
			alert (str+": <% GetStr("comm","ERRIPSTYLE"); %>");
			return false;
		}
	}
	return true;
}

function SimpleChkIP(s)
{
	for (i=0;i<s.length;i++){
		st = s[i];
		if (isNaN(st)||(st=="")||(st<0)||(st>255)||(!(verifyNumeric(st)))){
			return 2;
		}
	}
	var ips=s[0]+"."+s[1]+"."+s[2]+"."+s[3];
	if ((ips=="0.0.0.0")||(ips=="255.255.255.255")){
		return 1;
	}
	if (s.length != 4){
		return 2;
	}
	return 0;
}
function isValidIPComm(ipa,str)
{
	var errstr;
	var ret=SimpleChkIP(ipa);
	if (ret > 0) {
		if (ret == 1) errstr=str+": <% GetStr("comm","ERRIP1"); %>";
		else if (ret == 2) errstr=str+": <% GetStr("comm","ERRIPSTYLE"); %>";
		else errstr=str+": <% GetStr("comm","ERROR"); %>";
		alert (errstr);
		return false;
	}
	return true;
}
function isValidHostIP(s,str)
{
	var ipa = s.split(".");
	if (isValidIPComm(ipa,str)==false)   return false;
	if (ipa[0] == 127 || ipa[0] > 223) {
		alert(str+": <% GetStr("comm","ERRIP2"); %>");
		return false
	}	
	return true;
}
function isValidRange(sip, smask)
{
	var ipa = sip.split(".");
	var maska = smask.split(".");
	if (ipa.length != 4 || maska.length != 4)   return false;
	var ipl = (parseInt(ipa[0]) << 24) | (parseInt(ipa[1]) << 16) | (parseInt(ipa[2]) << 8) | parseInt(ipa[3]);
	var maskl = (parseInt(maska[0]) << 24) | (parseInt(maska[1]) << 16) | (parseInt(maska[2]) << 8) | parseInt(maska[3]);
	var r = (~maskl);
	var v = (ipl & r);
	if (v == 0 || v == r)   return false;
	return true;
}
function isValidMask(s,kind,str)
{
	var ipa = s.split(".");
	var ret=0;
	if (kind==1 || s!="255.255.255.255") ret=SimpleChkIP(ipa);
	if (ret > 0) {
		if (ret == 1) errstr=str+": <% GetStr("comm","ERRIP1"); %>";
		else if (ret == 2) errstr=str+": <% GetStr("comm","ERRIPSTYLE"); %>";
		else errstr=str+": <% GetStr("comm","ERROR"); %>";
		alert (errstr);
		return false;
	}
	var b = new Array();
	for (i = 0; i < ipa.length; i++) {
		temp=ipa[i];
		for (j = 0; j < 8; j++) {
			b[i*8+7-j] = temp%2;
			temp = (temp - temp%2)/2;
		}
	}
	for (i=0; i<31; i++){
		if(b[i]<b[i+1]){
			alert(str+": <% GetStr("comm","ERRIP2"); %>");
			return false;
		}
	}
	return true;
}
function IpToNum(iparr)
{
	var n = parseInt(iparr[0])*16777216+parseInt(iparr[1])*65536+parseInt(iparr[2])*256+parseInt(iparr[3]);
	return n;
/*
	var n,i;
	for(n=0, i=0; i<3; i++) {
		n |= (parseInt(iparr[sp+i])<<((3-i)<<3));
	}
	n |= parseInt(iparr[sp+i]);
	return n;
*/
}
function verifySubnet (srcIP,cmpIP,cmpMask)
{
	var ipPattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
	var srciparr = srcIP.match(ipPattern);
	var cmpiparr = cmpIP.match(ipPattern);
	var cmpmaskarr = cmpMask.match(ipPattern);
	if (srciparr == null)
		return false;
	var netmaskNum = IpToNum(cmpmaskarr);
	var lanIpNum = IpToNum(cmpiparr);
	var numToCheck = IpToNum(srciparr);
	if ((numToCheck & netmaskNum) != (lanIpNum & netmaskNum))
		return false;
	return true;
}
function verifyHexString(str) {
	var ch = /^[a-fA-F0-9]+$/;
	if ((str == null) || (str.length == 0))
		return false;
	return ch.test(str);
}
function verifyMacAddr (MACvalue) {
	if (MACvalue.length != 17) {
		return false;
	}
	var a = MACvalue.split(":");
	if (a.length != 6) {
		return false;
	}
	for (var i = 0; i < 6; i++) {
		if (a[i].length != 2)
			return false
		if (verifyHexString(a[i]) == false) {
			return false;
		}
	}
	return true;
}
function chgMACFormat(mac)
{
	var a=mac.split(":");
	if (a.length > 1) return mac;
	var b=mac.split("-");
	if (b.length < 2) return mac;
	var str=b.join(":");
	return str;
}
function isValidDomainString(s,tit)
{
	var ch = /^[a-zA-Z0-9-]+$/;
	var alpha=/^[a-zA-Z0-9]+$/;
	var a=s.split(".");
	var c,errfg,len;
	errfg=0;
	for(i = 0; i < a.length; i++) {
		len=a[i].length;
		if (len > 63 || len<=0) {
			alert(tit+": <% GetStr("comm","ERRDOMAINLEN"); %>");
			return false;
		}
		c=a[i].charAt(0);
		if (alpha.test(c)==false) {
			alert(tit+": <% GetStr("comm","ERRDOMAINFIRST"); %>");
			return false;
		}
		c=a[i].charAt(len-1);
		if (verifyAlphaNumeric(c)==false) {
			alert(tit+": <% GetStr("comm","ERRDOMAINEND"); %>");
			return false;
		}
		if (ch.test(a[i])==false) {
			alert(tit+": <% GetStr("comm","ERRDOMAINFORMAT"); %>");
			return false;
		}
	}
	return true;
}
function SimpleChkEMail(e,tit)
{
	if (validStr(e,tit)==0) {
		return false;
	}
	var v=e.split("@");
	if (v.length<=1) {
		alert(tit+": <% GetStr("comm","ERRFORMAT"); %>");
		return false;
	}
	if (!isValidDomainString(v[1],tit))
		return false;
	return true;
}
function GetNewURL(modeval, urlarray, pathtxt, porttxt, pathnametxt, srchtxt)
{ 
	var str=new Array("","");
	str[1]=GetModeHash(modeval, urlarray);
	if (str[1].charAt(0) == "#") {
		str[0] = str[1];
		str[1]=pathtxt;
		if (porttxt!="")   str[1]+=":"+porttxt;
		str[1]+=pathnametxt;
		if (srchtxt != "")   str[1]+=srchtxt;
		str[1]+=str[0];
	}
	return str;
}
function cancelHash(pathtxt, porttxt, pathnametxt, srchtxt)
{
	var str=pathtxt;
	if (porttxt!="")   str+=":"+porttxt;
	str+=pathnametxt;
	if (srchtxt != "")   str+=srchtxt;
	return str;
}
function checkPortNum(s,str)
{
	if(verifyNumeric(s)==false) {
		alert(str+": <% GetStr("comm", "ERRNUM"); %>");
		return false;
	}
	if (s>65535||s<0) {
		alert(str+": <% GetStr("comm", "ERRINVALID"); %>");
		return false;
	}
	return true;
}
function chkDynEdit(idedit,iddel,dels,tot)
{
	var idx=new Array(0,0);
	for (idx[0] = 0; idx[0] < tot; idx[0]++)
		if (document.getElementById(idedit+idx[0]).checked==true)   break;
	for (idx[1] = dels; idx[1] < tot; idx[1]++)
		if (document.getElementById(iddel+idx[1]).checked==true) break;
	if (idx[0]>=tot && idx[1]>=tot) {
		alert("<% GetStr("comm","ERRNOEDIT"); %>");
		return -1;
	}
	return idx;
}
function clearDynDelChk(iddel,tot)
{
	var idd;
	var i;
	for(i=0;i<tot;i++) {
		idd=document.getElementById(iddel+i);
		if (idd!=null&&idd.checked == true)   idd.checked=false;
	}
}
function cutBlankInForm(fid)
{
	var idd=document.getElementById(fid);
	if (idd==null) return;
	var i;
	for(i=0;i<idd.length;i++) {
		t=idd.elements[i].type;
		if (t=="text"||t=="password") idd.elements[i].value=cutblank(idd.elements[i].value);
	}
}
function resetURL()
{
	var idd=document.getElementById(nowID);
	idd.href=nowURL;
}
function chgURL(hdl,ch)
{
	var idd=document.getElementById(nowID);
	idd.href=nowURL+ch+hdl;;
	setTimeout ("resetURL();", 500);
}
// Dynamic Table call
function chgDynEditRec(idedit,iddel,idx,tot,chkfg)
{
	var ret=new Array(-1,-1);
	var idd=document.getElementById(iddel+idx);
	if (idd != null && idd.checked == true)   idd.checked = false;
	idd=document.getElementById(idedit+idx);
	if ((tot==1&&chkfg==0) || (tot>1&&idd.checked == true)) {
		if(tot==1) {
			idd.checked=true;
			ret[0]=chkfg=1;
		}
		ret[1]=1;
	} else if (tot==1&&chkfg==1) {
		ret[1]=2;
		idd.checked = false;
		ret[0]=chkfg = 0;
	}
	return ret;
}
function delDynRec(idedit,idx,tot,chkfg)
{
	var ret=new Array(-1,-1);
	var idd=document.getElementById(idedit+idx);
	if ((tot==1&&chkfg==1) || (tot>1&&idd.checked == true)) {
		if(tot==1) {
			ret[0]=chkfg=0;
		}
		idd.checked=false;
		ret[1]=1;
	}
	return ret;
}
function DisabledIconArr(arr)
{
	var cnt = arr.length;
	var idd;
	for (var i = 0; i < cnt; i++) {
		if ((idd=document.getElementById(arr[i])) != null) idd.disabled=true;
	}
}
function isGsm7(s)
{
	//var cs=[0A,0D,A3,A5,E8,E9,F9,EC,F2,C7,D8,F8,C5,E5,394,3A6,393,39B,3A9,3A0,3A8,
	//	3A3,398,39E,C6,E6,DF,C9,A4,A1,C4,D6,D1,DC,A7,BF,E4,F6,F1,FC,E0];
	var cs=[10,13,163,165,232,233,249,236,242,199,216,248,197,229,916,934,915,
		923,937,928,936,931,920,926,198,230,223,201,164,161,196,214,209,220,167,
		191,228,246,241,252,224];
	var escs=[94,123,125,92,91,126,93,124,8364];

	var i, j, len=s.length, n, cslen=cs.length, cnt=0;
	for (i=0; i<len; i++) {
		n=s.charCodeAt(i);
		if (n==96) return 0; // `
		for (j=0; j<cslen; j++) {
			if (n==cs[j]) { cnt++; break;}
		}
		if (j>=cslen) {
			if ((n < 32 || n > 126 || n == 96) && n != 8364) return 0;
			for (j=0; j<escs.length; j++) {
				if (n==escs[j]) { cnt+=2; break; }
			}
			if (j >= escs.length) cnt++;
		}
	}
	return cnt;
}
//
<% CloseFile("comm.sr","1"); %>

